www/p5-CGI-Ajax - The NetBSD Packages Collection

Call perl asynchronously from javascript

CGI::Ajax is an object-oriented module that provides a unique
mechanism for using perl code asynchronously from javascript-
enhanced HTML pages. CGI::Ajax unburdens the user from having to
write extensive javascript, except for associating an exported
method with a document-defined event (such as onClick, onKeyUp,
etc). CGI::Ajax also mixes well with HTML containing more complex
javascript.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/p5-Class-Accessor lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-CGI-Ajax-0.707nb12.tgz
NetBSD 8.0earmv7hfp5-CGI-Ajax-0.707nb11.tgz
NetBSD 8.0earmv7hfp5-CGI-Ajax-0.707nb12.tgz
NetBSD 8.0i386p5-CGI-Ajax-0.707nb11.tgz
NetBSD 8.0i386p5-CGI-Ajax-0.707nb12.tgz
NetBSD 8.0powerpcp5-CGI-Ajax-0.707nb11.tgz
NetBSD 8.0powerpcp5-CGI-Ajax-0.707nb12.tgz
NetBSD 8.0powerpcp5-CGI-Ajax-0.707nb12.tgz
NetBSD 8.0powerpcp5-CGI-Ajax-0.707nb12.tgz
NetBSD 8.0x86_64p5-CGI-Ajax-0.707nb11.tgz
NetBSD 8.0x86_64p5-CGI-Ajax-0.707nb12.tgz
NetBSD 9.0aarch64p5-CGI-Ajax-0.707nb12.tgz
NetBSD 9.0aarch64p5-CGI-Ajax-0.707nb11.tgz
NetBSD 9.0aarch64p5-CGI-Ajax-0.707nb12.tgz
NetBSD 9.0alphap5-CGI-Ajax-0.707nb12.tgz
NetBSD 9.0alphap5-CGI-Ajax-0.707nb11.tgz
NetBSD 9.0alphap5-CGI-Ajax-0.707nb12.tgz
NetBSD 9.0earmv6hfp5-CGI-Ajax-0.707nb12.tgz
NetBSD 9.0earmv6hfp5-CGI-Ajax-0.707nb11.tgz
NetBSD 9.0earmv6hfp5-CGI-Ajax-0.707nb12.tgz
NetBSD 9.0earmv7hfp5-CGI-Ajax-0.707nb12.tgz
NetBSD 9.0earmv7hfp5-CGI-Ajax-0.707nb11.tgz
NetBSD 9.0earmv7hfp5-CGI-Ajax-0.707nb12.tgz
NetBSD 9.0earmv7hfp5-CGI-Ajax-0.707nb12.tgz
NetBSD 9.0i386p5-CGI-Ajax-0.707nb11.tgz
NetBSD 9.0i386p5-CGI-Ajax-0.707nb12.tgz
NetBSD 9.0mips64ebp5-CGI-Ajax-0.707nb12.tgz
NetBSD 9.0mips64ebp5-CGI-Ajax-0.707nb11.tgz
NetBSD 9.0mips64ebp5-CGI-Ajax-0.707nb11.tgz
NetBSD 9.0mips64ebp5-CGI-Ajax-0.707nb12.tgz
NetBSD 9.0powerpcp5-CGI-Ajax-0.707nb12.tgz
NetBSD 9.0powerpcp5-CGI-Ajax-0.707nb11.tgz
NetBSD 9.0powerpcp5-CGI-Ajax-0.707nb12.tgz
NetBSD 9.0powerpcp5-CGI-Ajax-0.707nb12.tgz
NetBSD 9.0sparc64p5-CGI-Ajax-0.707nb12.tgz
NetBSD 9.0sparc64p5-CGI-Ajax-0.707nb11.tgz
NetBSD 9.0sparc64p5-CGI-Ajax-0.707nb12.tgz
NetBSD 9.0sparcp5-CGI-Ajax-0.707nb12.tgz
NetBSD 9.0sparcp5-CGI-Ajax-0.707nb11.tgz
NetBSD 9.0sparcp5-CGI-Ajax-0.707nb11.tgz
NetBSD 9.0sparcp5-CGI-Ajax-0.707nb12.tgz
NetBSD 9.0x86_64p5-CGI-Ajax-0.707nb12.tgz
NetBSD 9.0x86_64p5-CGI-Ajax-0.707nb12.tgz
NetBSD 9.0x86_64p5-CGI-Ajax-0.707nb11.tgz
NetBSD 9.0x86_64p5-CGI-Ajax-0.707nb12.tgz
NetBSD 9.0x86_64p5-CGI-Ajax-0.707nb12.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.